#!/usr/bin/gnuplot

# scaling due to different Rstar1, wrt. 22_shape16_CTRLPTS_ADAM__2872

scl = 0.87706500128950682/0.99364708745685615

set term x11

set xr [-2.5:1.5]
unset xtics
unset ytics
unset ztics

set view 0,0,2.5
set view equal xyz
set xyplane 0.0
set surface hidden3d
set pm3d depthorder
set hidden3d front
unset colorbox
unset border
set palette grayscale

sp \
  "<./pm2d.awk shape3.node shape3.face" u (scl*$1):(scl*$2):(scl*$3):($3) w pm3d not,\
  "<./face.awk shape3.node shape3.face" u (scl*$2):(scl*$3):(scl*$4) w l lc 'green' not,\
  "<./face.awk shape2.node shape2.face" u (scl*$2):(scl*$3):(scl*$4) w lp pt 2 lc '#999999' not,\

#pa -1

set term post eps enh color solid "Helvetica" 18
set out "shape.eps"
set size 1.0,1.0
set lmargin 0.0
set rmargin 0.0
set bmargin 0.0
set tmargin 0.0
rep

system("patch shape.eps shape.eps.diff")

q



